package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.openqa.selenium.By;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste:
 * 
 * EL-1240:Descartar nova mensagem nao salva - Salvar
 * 
 * http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1240
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 23, 2011 at 3:10:58 PM
 */
public class DescartarEmailSalvarTestCase extends BaseEmailTestCase {

	@Test
	public void botaoSalvarEmail() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_SALVAR, EMAIL_TEXTO_SALVAR);
		mp.closeMail(false);
		mp.saveNewEmail();
		mp.assertMessage(MSG_EMAIL_RASCUNHO);

		// Espera pelo "Carregando..." aparecer.
		mp.waitForElement(By.id("divProgressBar"));
		mp.waitForElement(By.id("divScrollMain_0"));
		// Espera pelo "Carregando..." desaparecer.
		mp.isNotDisplayed(mp.waitFindElement(By.id("divProgressBar"), 5000,
				1000));

		// Ir na pasta Rascunhos para assegurar que o email foi salvo.
		mp.openFolder("lINBOX/Draftstree_folders");
		mp.readEmail(EMAIL_ASSUNTO_SALVAR);
	}
}
