package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-523:Enviar mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-523
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 4, 2011 at 3:53:04 PM
 * 
 */
public class EnviarEmailTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
	 * no arquivo de configuracao. Apos envio, verifica se o email foi movido
	 * para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmail() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO, EMAIL_TEXTO);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO));
	}

}
