package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-1263:Criar Filtro por assunto com rejeicao
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1263
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 15, 2011 at 10:22:53 AM
 * 
 */
public class CriarFiltroPorAssuntoComRejeicaoTestCase extends BaseEmailTestCase {

	@Test
	public void criarFiltroPorAssuntoComMensagemRejeicao() {
		MailFilterPage mfp = mp.editFilter();
		mfp.newFilterRule();
		mfp.setFilterSubject(EMAIL_ASSUNTO);
		mfp.setFilterRejectMessage();
		mfp.saveFilterRules();

		Alert error = driver.switchTo().alert();
		assert "Informe um texto para rejeição!".equals(error.getText());
		error.dismiss();

		mfp.setFilterRejectMessageText("Não enviar email para esta conta!!!");
		mfp.saveFilterRules();

		assert mfp.getFilterRuleText("2").equals(
				"Status : Habilitada - Se o email tem assunto:" + EMAIL_ASSUNTO
						+ " - Ação: Rejeitar");

	}
}
