package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-631:Criar Filtro por assunto
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-631
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 15, 2011 at 10:22:53 AM
 * 
 */
public class CriarFiltroPorAssuntoTestCase extends BaseEmailTestCase {

	@Test
	public void criarFiltroPorAssunto() {
		MailFilterPage mfp = mp.editFilter();
		mfp.newFilterRule();
		mfp.saveFilterRules();

		Alert error = driver.switchTo().alert();
		assert "Defina algum critério para os campos Remetente, Para, Assunto e Tamanho da mensagem com mais de 3 caracteres!"
				.equals(error.getText());
		error.dismiss();

		mfp.setFilterSubject(EMAIL_ASSUNTO);
		mfp.saveFilterRules();

		error = driver.switchTo().alert();
		assert "Não foi marcada nenhuma opção!".equals(error.getText());
		error.dismiss();

		mfp.setFilterArchieveIn();
		mfp.setFilterMailBox(EMAIL_PASTA_TESTE);
		mfp.saveFilterRules();

		assert mfp.getFilterRuleText("1").equals(
				"Status : Habilitada - Se o email tem assunto:" + EMAIL_ASSUNTO
						+ " - Ação: Arquivar em " + EMAIL_PASTA_TESTE);
	}

}
