package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.expressolivre.cte.pages.email.MailSearchPage;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-623:Pesquisar apenas mensagens importantes
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-623
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 24, 2011 at 3:35:48 PM
 * 
 */
public class PesquisarEmailImportanteSemResultadoTestCase extends
		BaseEmailTestCase {

	@Test
	public void pesquisaMensagemImportanteSemResultado() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.setSearchFolders("lINBOX_folders_tree_search");
		msp.searchImportantMessage("Importante");
		msp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

}
