package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.expressolivre.cte.pages.email.MailSearchPage;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-626:Pesquisar por intervalos de data
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-626
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 10:06:57 AM
 * 
 */
public class PesquisarEmailPorIntervaloDataSemResultadoTestCase extends
		BaseEmailTestCase {

	@Test
	public void pesquisaEmailPorIntervaloDataSemResultado() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.setSearchFolders("lINBOX_folders_tree_search");
		msp.setSearchSinceDate("01011984");
		msp.setSearchBeforeDate("01011999");
		msp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}
}
